<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'boomee',

    /*
     * Package.
     */
    'package'   => 'education',

    /*
     * Modules.
     */
    'modules'   => ['education', 
'deal'],

    'education'       => [
        'model' => [
            'model'                 => \Boomee\Education\Models\Education::class,
            'table'                 => 'education',
            'presenter'             => \Boomee\Education\Repositories\Presenter\EducationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'title',  'country_id',  'state_id',  'city_id',  'zipcode',  'street',  'street_no',  'address',  'venue',  'price',  'date_and_time',  'website',  'topics',  'brands',  'target_groups',  'tags',  'description',  'images',  'is_auction',  'ads_auction_from',  'ads_auction_to',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'education/education',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Boomee',
            'package'   => 'Education',
            'module'    => 'Education',
        ],

    ],

    'deal'       => [
        'model' => [
            'model'                 => \Boomee\Education\Models\Deal::class,
            'table'                 => 'deals',
            'presenter'             => \Boomee\Education\Repositories\Presenter\DealPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'category_id',  'country_id',  'state_id',  'city_id',  'user_id',  'type',  'type_id',  'title',  'images',  'description',  'features',  'price',  'expire_date',  'media_id',  'target_group',  'age_group',  'topics',  'brands',  'tags',  'is_deal',  'discount',  'discount_price',  'conditions',  'valid_from',  'valid_to',  'publish_from',  'publish_to',  'status',  'slug',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'education/deal',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Boomee',
            'package'   => 'Education',
            'module'    => 'Deal',
        ],

    ],
];
