<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEducationTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: education
         */
        Schema::create('education', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('title')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->string('zipcode', 255)->nullable();
            $table->string('street', 255)->nullable();
            $table->integer('street_no')->nullable();
            $table->string('address', 255)->nullable();
            $table->string('venue', 255)->nullable();
            $table->integer('price')->nullable();
            $table->dateTime('date_and_time')->nullable();
            $table->text('website')->nullable();
            $table->text('topics')->nullable();
            $table->text('brands')->nullable();
            $table->text('target_groups')->nullable();
            $table->text('tags')->nullable();
            $table->text('description')->nullable();
            $table->text('images')->nullable();
            $table->enum('is_auction', ['on','off'])->nullable();
            $table->dateTime('ads_auction_from')->nullable();
            $table->dateTime('ads_auction_to')->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('education');
    }
}
