Lavalite package that provides education management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `boomee/education`.

    "boomee/education": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Boomee\Education\Providers\EducationServiceProvider::class,

And also add it to alias

    'Education'  => Boomee\Education\Facades\Education::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Boomee\\EducationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Boomee\Education\Providers\EducationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Boomee\Education\Providers\EducationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Boomee\Education\Providers\EducationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/education/{modulename}

**User**

    http://path-to-route-folder/user/education/{modulename}

**Public**

    http://path-to-route-folder/education


### API endpoints

**List**

    http://path-to-route-folder/api/user/education/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/education/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/education/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/education/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/education/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/education/{modulename}/{slug}
    METHOD: GET