<?php

namespace Boomee\Education;

use User;

class Education
{
    /**
     * $education object.
     */
    protected $education;
    /**
     * $deal object.
     */
    protected $deal;

    /**
     * Constructor.
     */
    public function __construct(\Boomee\Education\Interfaces\EducationRepositoryInterface $education,
        \Boomee\Education\Interfaces\DealRepositoryInterface $deal)
    {
        $this->education = $education;
        $this->deal = $deal;
    }

    /**
     * Returns count of education.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.education.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->education->pushCriteria(new \Litepie\Boomee\Repositories\Criteria\EducationUserCriteria());
        }

        $education = $this->education->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('education::' . $view, compact('education'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.deal.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->deal->pushCriteria(new \Litepie\Boomee\Repositories\Criteria\DealUserCriteria());
        }

        $deal = $this->deal->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('education::' . $view, compact('deal'))->render();
    }
}
