<?php

namespace Boomee\Education\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EducationTransformer extends TransformerAbstract
{
    public function transform(\Boomee\Education\Models\Education $education)
    {
        return [
            'id'                => $education->getRouteKey(),
            'key'               => [
                'public'    => $education->getPublicKey(),
                'route'     => $education->getRouteKey(),
            ], 
            'user_id'           => $education->user_id,
            'title'             => $education->title,
            'country_id'        => $education->country_id,
            'state_id'          => $education->state_id,
            'city_id'           => $education->city_id,
            'zipcode'           => $education->zipcode,
            'street'            => $education->street,
            'street_no'         => $education->street_no,
            'address'           => $education->address,
            'venue'             => $education->venue,
            'price'             => $education->price,
            'date_and_time'     => $education->date_and_time,
            'website'           => $education->website,
            'topics'            => $education->topics,
            'brands'            => $education->brands,
            'target_groups'     => $education->target_groups,
            'tags'              => $education->tags,
            'description'       => $education->description,
            'images'            => $education->images,
            'is_auction'        => $education->is_auction,
            'ads_auction_from'  => $education->ads_auction_from,
            'ads_auction_to'    => $education->ads_auction_to,
            'slug'              => $education->slug,
            'deleted_at'        => $education->deleted_at,
            'url'               => [
                'public'    => trans_url('education/'.$education->getPublicKey()),
                'user'      => guard_url('education/education/'.$education->getRouteKey()),
            ], 
            'status'            => trans('app.'.$education->status),
            'created_at'        => format_date($education->created_at),
            'updated_at'        => format_date($education->updated_at),
        ];
    }
}